# class AmebaLS::Config

- AmebaLS::Config
- Ameba::Config
- Reference
- Object

##
Defined in:

ameba-ls/ameba/config.cr

##
Instance Method Summary

- #sources : Array(Ameba::Source)

  Returns a list of sources matching globs and excluded sections.

- #sources=(sources : Array(Ameba::Source))

##
Instance Method Detail

def sources : Array(Ameba::Source) #
Description copied from class Ameba::Config

Returns a list of sources matching globs and excluded sections.

    config = Ameba::Config.load
    config.sources # => list of default sources
    config.globs = Set{"**/*.cr", "**/*.ecr"}
    config.excluded = Set{"spec"}
    config.sources # => list of sources pointing to files found by the wildcards

def sources=(sources : Array(Ameba::Source)) #